#include <fstream>
#include <cmath>

using namespace std;

int soNguyenTo(int soA)
{
    if (soA < 2)
        return 0;

    for (int i = 2; i <= sqrt((float)soA); i ++)
    {
        if (soA%i==0)
        {
            return 0;
        }
    }
    return 1;
}

int main(){
  int n;
  ifstream fi;
  fi.open("dnton.inp");
  fi>>n;
  ofstream fo;
  fo.open("dnton.out");
  for (int i=2;i<n;i++){
  if (soNguyenTo(i)==1){fo<<i<<endl;}
  }
}
